com.singularsys.jep.standard

## Class DoubleNumberFactory

- java.lang.Object
- - com.singularsys.jep.standard.DoubleNumberFactory

- All Implemented Interfaces:
    JepComponent, NumberFactory, java.io.Serializable

      public class DoubleNumberFactory
      extends java.lang.Object
      implements NumberFactory

  Default class for creating number objects. This class can be replaced by other NumberFactory implementations if other number types are required. This can be done using the
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Double` | `MINUSONE`
    `static java.lang.Double` | `ONE`
    `static java.lang.Double` | `TWO`
    `static java.lang.Double` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleNumberFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createNumber(boolean value)` Create a number object with given boolean value
    `java.lang.Object` | `createNumber(Complex value)` Creates a number from a given complex value.
    `java.lang.Object` | `createNumber(double value)` Creates a number object with given double value.
    `java.lang.Object` | `createNumber(float value)` Create a number object with given float value
    `java.lang.Object` | `createNumber(int value)` Create a number object with given int value
    `java.lang.Object` | `createNumber(long value)` Create a number object with given long value
    `java.lang.Object` | `createNumber(java.lang.Number value)` Creates a number object from a class implementing Number, May actually just return the class.
    `java.lang.Object` | `createNumber(short value)` Create a number object with given short value
    `java.lang.Object` | `createNumber(java.lang.String value)` Creates a Double object initialized to the value of the parameter.
    `JepComponent` | `getLightWeightInstance()` Gets a light-weight instance suitable for using in multiple threads.
    `java.lang.Object` | `getMinusOne()` Return an object representing ZERO-ONE.
    `java.lang.Object` | `getOne()` Return an object representing ONE the multiplicative identity.
    `java.lang.Object` | `getTwo()` Return an object representing ONE+ONE.
    `java.lang.Object` | `getZero()` Return an object representing ZERO the additive identity.
    `void` | `init(Jep jep)` Initialize the component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZERO

          public static final java.lang.Double ZERO

    - #### ONE

          public static final java.lang.Double ONE

    - #### TWO

          public static final java.lang.Double TWO

    - #### MINUSONE

          public static final java.lang.Double MINUSONE

  - ### Constructor Detail

    - #### DoubleNumberFactory

          public DoubleNumberFactory()

  - ### Method Detail

    - #### createNumber

          public java.lang.Object createNumber(java.lang.String value)

      Creates a Double object initialized to the value of the parameter.
      Specified by:
        `createNumber` in interface `NumberFactory`
      Parameters:
        `value` - The initialization value for the returned object.

    - #### createNumber

          public java.lang.Object createNumber(double value)

      Description copied from interface: `NumberFactory`
      Creates a number object with given double value.
      Specified by:
        `createNumber` in interface `NumberFactory`

    - #### createNumber

          public java.lang.Object createNumber(java.lang.Number value)

      Description copied from interface: `NumberFactory`
      Creates a number object from a class implementing Number, May actually just return the class.
      Specified by:
        `createNumber` in interface `NumberFactory`

    - #### createNumber

          public java.lang.Object createNumber(boolean value)

      Description copied from interface: `NumberFactory`
      Create a number object with given boolean value
      Specified by:
        `createNumber` in interface `NumberFactory`

    - #### createNumber

          public java.lang.Object createNumber(float value)

      Description copied from interface: `NumberFactory`
      Create a number object with given float value
      Specified by:
        `createNumber` in interface `NumberFactory`

    - #### createNumber

          public java.lang.Object createNumber(int value)

      Description copied from interface: `NumberFactory`
      Create a number object with given int value
      Specified by:
        `createNumber` in interface `NumberFactory`

    - #### createNumber

          public java.lang.Object createNumber(short value)

      Description copied from interface: `NumberFactory`
      Create a number object with given short value
      Specified by:
        `createNumber` in interface `NumberFactory`

    - #### createNumber

          public java.lang.Object createNumber(long value)

      Description copied from interface: `NumberFactory`
      Create a number object with given long value
      Specified by:
        `createNumber` in interface `NumberFactory`

    - #### createNumber

          public java.lang.Object createNumber(Complex value)
                                        throws ParseException

      Description copied from interface: `NumberFactory`
      Creates a number from a given complex value.
      Specified by:
        `createNumber` in interface `NumberFactory`
      Throws:
        `ParseException`

    - #### getMinusOne

          public java.lang.Object getMinusOne()

      Description copied from interface: `NumberFactory`
      Return an object representing ZERO-ONE.
      Specified by:
        `getMinusOne` in interface `NumberFactory`

    - #### getOne

          public java.lang.Object getOne()

      Description copied from interface: `NumberFactory`
      Return an object representing ONE the multiplicative identity.
      Specified by:
        `getOne` in interface `NumberFactory`

    - #### getTwo

          public java.lang.Object getTwo()

      Description copied from interface: `NumberFactory`
      Return an object representing ONE+ONE.
      Specified by:
        `getTwo` in interface `NumberFactory`

    - #### getZero

          public java.lang.Object getZero()

      Description copied from interface: `NumberFactory`
      Return an object representing ZERO the additive identity.
      Specified by:
        `getZero` in interface `NumberFactory`

    - #### init

          public void init(Jep jep)

      Description copied from interface: `JepComponent`
      Initialize the component. This methods is called whenever a component is added to Jep. Hence it allows components to keep track of the other components they may rely on.
      Specified by:
        `init` in interface `JepComponent`
      Parameters:
        `jep` - the current Jep instance

    - #### getLightWeightInstance

          public JepComponent getLightWeightInstance()

      Description copied from interface: `JepComponent`
      Gets a light-weight instance suitable for using in multiple threads.
      Specified by:
        `getLightWeightInstance` in interface `JepComponent`
      Returns:
        either an new instance, or 'this'.

Copyright © 2018 Singular Systems http://www.singularsys.com/jep